Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.veri.studio/v1/volumes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>" } '
import requestsurl = "https://api.veri.studio/v1/volumes"payload = { "name": "<string>" }headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>'})};fetch('https://api.veri.studio/v1/volumes', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "object": "<string>", "id": "<string>", "name": "<string>", "total_bytes": 123, "file_count": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
API key with the vk_ prefix. Create one from the dashboard.
vk_
The created volume (or the existing one on idempotent re-create)